> ## Documentation Index
> Fetch the complete documentation index at: https://ago.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Sync Source

> Trigger a sync for a knowledge source.



## OpenAPI

````yaml /openapi-v1.json post /api/v1/sources/{source_id}/sync
openapi: 3.1.0
info:
  title: AGO Public API
  version: 1.0.0
  description: Programmatic access to your AGO workspace.
servers:
  - url: https://{tenant_id}.api.useago.com
    description: AGO Public API v1
    variables:
      tenant_id:
        default: your-tenant-id
        description: Your AGO tenant identifier
security: []
paths:
  /api/v1/sources/{source_id}/sync:
    post:
      tags:
        - Sources
      summary: Sync Source
      description: Trigger a sync for a knowledge source.
      operationId: core_api_v1_controllers_sources_sync_source
      parameters:
        - in: path
          name: source_id
          schema:
            title: Source Id
            type: string
          required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SyncStartOut'
      security:
        - ScopedAPIKeyAuth: []
components:
  schemas:
    SyncStartOut:
      description: Response schema for triggering a source sync.
      properties:
        object:
          default: sync
          title: Object
          type: string
        status:
          title: Status
          type: string
        source_id:
          title: Source Id
          type: string
      required:
        - status
        - source_id
      title: SyncStartOut
      type: object
  securitySchemes:
    ScopedAPIKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````